Package org.apache.jmeter.protocol.http.config

# Class GraphQLRequestParams

java.lang.Object
org.apache.jmeter.protocol.http.config.GraphQLRequestParams

All Implemented Interfaces:
  `Serializable`

public class GraphQLRequestParams extends Object implements Serializable
Represents GraphQL request parameter input data for Query, Variables and Operation Name.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphQLRequestParams()`
  `GraphQLRequestParams(String operationName, String query, String variables)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOperationName()`
  `String`
  `getQuery()`
  `String`
  `getVariables()`
  `void`
  `setOperationName(String operationName)`
  `void`
  `setQuery(String query)`
  `void`
  `setVariables(String variables)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GraphQLRequestParams

    public GraphQLRequestParams()

  - ### GraphQLRequestParams

    public GraphQLRequestParams(String operationName, String query, String variables)

- ## Method Details

  - ### getOperationName

    public String getOperationName()

  - ### setOperationName

    public void setOperationName(String operationName)

  - ### getQuery

    public String getQuery()

  - ### setQuery

    public void setQuery(String query)

  - ### getVariables

    public String getVariables()

  - ### setVariables

    public void setVariables(String variables)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`